#!/usr/bin/env node

const title = "# A Gemini Capsule that Uses Javascript\n"
const firstPara = "Yes, really.\n"
const reasons = ["Because I can.", "Because someone said you can't use Javascript in Gemini, when that is demonstrably false."]

console.log("20 text/gemini; lang=en\r\n")
console.log(title)
console.log(firstPara)
console.log("Little do many people know... you can use JavaScript in CGI via Node! Likely Deno too, but this server is using Node " + process.version + "!\n")
console.log("The best kind of correct is \"technically\", after all!\n")
console.log("Don't believe me?\n")
console.log("## FizzBuzz\n")
for (let num = 1; num <= 100; num++) {
  if (num % 15 == 0)
    console.log("FizzBuzz\n")
  else if (num % 5 == 0)
    console.log("Buzz\n")
  else if (num % 3 == 0)
    console.log("Fizz\n")
  else
    console.log(num + "\n")
}
console.log("So much easier to do when you don't need to worry about XML tags.\n")
console.log("## Why?\n")
console.log("Two reasons, really:\n")
reasons.forEach((e,i) => console.log(`${i+1}. ${e}\n`))
console.log("## Are you sure?\n")
console.log("Perfectly.\n")
console.log("### Environment\n")
console.log("```")
Object.entries(process.env).forEach(e => {
  const [key, value] = e
  console.log(key + " = " + value)
})
console.log("```\n")
console.log("## Credits\n")
console.log("=> gemini://tilde.club/~talideon/ Thanks to ~taliedon for providing the source of his CGI application on his capsule so I can actually make this, even if in another language.\n")